Bug 18427 - Add a primary key to serialitems
Summary: Add a primary key to serialitems
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Marcel de Rooy
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 18182
  Show dependency treegraph
 
Reported: 2017-04-13 10:24 UTC by Marcel de Rooy
Modified: 2017-12-07 22:16 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 18427: Add a primary key to serialitems (2.32 KB, patch)
2017-04-13 11:55 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 18427: DBIx schema changes (1.35 KB, patch)
2017-04-13 11:55 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 18427: DBIx schema changes (1.41 KB, patch)
2017-04-13 12:03 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 18427: Add a primary key to serialitems (2.38 KB, patch)
2017-04-13 12:03 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 18427: DBIx schema changes (1.42 KB, patch)
2017-04-19 13:40 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 18427: Add a primary key to serialitems (2.39 KB, patch)
2017-04-19 13:40 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 18427: DBIx schema changes (1.49 KB, patch)
2017-04-19 14:45 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 18427: Add a primary key to serialitems (2.47 KB, patch)
2017-04-19 14:45 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marcel de Rooy 2017-04-13 10:24:46 UTC
See bug 18361
Comment 1 Marcel de Rooy 2017-04-13 11:55:15 UTC Comment hidden (obsolete)
Comment 2 Marcel de Rooy 2017-04-13 11:55:19 UTC Comment hidden (obsolete)
Comment 3 Marcel de Rooy 2017-04-13 12:03:35 UTC
Created attachment 62146 [details] [review]
Bug 18427: DBIx schema changes

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 4 Marcel de Rooy 2017-04-13 12:03:38 UTC
Created attachment 62147 [details] [review]
Bug 18427: Add a primary key to serialitems

We drop the unique index serialitemsidx and add a primary key consisting
of itemnumber just as the unique key did.

Test plan:
Run the db revision.
Apply bug 18182. The TestBuilder.t should no longer fail on serialitems.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 5 Tomás Cohen Arazi 2017-04-19 13:40:19 UTC
Created attachment 62365 [details] [review]
Bug 18427: DBIx schema changes

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 6 Tomás Cohen Arazi 2017-04-19 13:40:26 UTC
Created attachment 62366 [details] [review]
Bug 18427: Add a primary key to serialitems

We drop the unique index serialitemsidx and add a primary key consisting
of itemnumber just as the unique key did.

Test plan:
Run the db revision.
Apply bug 18182. The TestBuilder.t should no longer fail on serialitems.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 7 Jonathan Druart 2017-04-19 14:45:52 UTC
Created attachment 62381 [details] [review]
Bug 18427: DBIx schema changes

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 8 Jonathan Druart 2017-04-19 14:45:57 UTC
Created attachment 62382 [details] [review]
Bug 18427: Add a primary key to serialitems

We drop the unique index serialitemsidx and add a primary key consisting
of itemnumber just as the unique key did.

Test plan:
Run the db revision.
Apply bug 18182. The TestBuilder.t should no longer fail on serialitems.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 9 Marcel de Rooy 2017-04-19 14:47:50 UTC
Thx Tomas, Jonathan
Comment 10 Kyle M Hall 2017-04-21 18:09:20 UTC
Pushed to master for 17.05, thanks Marcel!
Comment 11 Katrin Fischer 2017-04-21 23:17:17 UTC
This won't get ported back to 16.11.x as it is an enhancement.